#ifndef WNEWPROGRAM_H
#define WNEWPROGRAM_H

#include <LoQClass/loqdialog.h>
#include <QDateTime>

namespace Ui {
class wNewProgram;
}

class wNewProgram : public LoQDialog
{
    Q_OBJECT

public:
    explicit wNewProgram(QWidget *parent = nullptr);
    wNewProgram(QString name, QSize res, QString remarks, QWidget *parent = nullptr, bool lockName = false);
    ~wNewProgram();

signals:
    void sigAcceptData(QString name, QSize res, QString remarks);

protected slots:
    void onAccepted();

private:
    Ui::wNewProgram *ui;
};

#endif // WNEWPROGRAM_H
